class ExportError(Exception):
    def __init__(self, message: str):
        super().__init__(message)

        self.message = message


class NoExportEntityError(ExportError):
    def __init__(self, message: str):
        super().__init__(message)

        self.message = message

class ExportFileError(ExportError):
    def __init__(self, message: str):
        super().__init__(message)

        self.message = message


__all__ = ["ExportError", "NoExportEntityError", "ExportFileError"]